<template>
  <q-page class="container">
    <div class="text-h1" style="color: #a2aa33">Hello Worl!</div>
    <div class="row">
      <div class="col-3">
        <q-card class="my-card">
          <img src="https://cdn.quasar.dev/img/mountains.jpg" />

          <q-card-section>
            <div class="text-h6">Our Changing Planet</div>
            <div class="text-subtitle2">by John Doe</div>
          </q-card-section>

          <q-card-actions align="right">
            <q-btn color="primary">Action 1</q-btn>
            <q-btn color="primary">Action 2</q-btn>
          </q-card-actions>
        </q-card>
      </div>
    </div>

    <div class="q-mt-md q-mr-sm">
      <q-card class="my-card">
        <q-video src="https://www.youtube.com/embed/k3_tw44QsZQ?rel=0" />

        <q-card-section>
          <div class="text-h6">Our Changing</div>
          <div class="text-subtitle2">by John Doe</div>
        </q-card-section>

        <q-card-section class="q-pt-none">
          Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do
          eiusmod tempor incididunt ut labore et dolore magna aliqua.
        </q-card-section>
      </q-card>
    </div>
  </q-page>
</template>

<script>
import { defineComponent } from 'vue'

export default defineComponent({
  name: 'IndexPage'
})
</script>
